#include "Sigmoid.hpp"
#include "QuadLin.hpp"

#include "Transform.hpp"
#include "WeightAdjustment.hpp"
#include "WeightRegularization.hpp"
#include "AdjustableTransform.hpp"
#include "EntropyWeightAdjustment.hpp"
#include "OutputWeightAdjustment.hpp"
#include "BufferedOutputWeightAdjustment.hpp"
#include "LpOutputWeightAdjustment.hpp"
#include "QuadLinOutputWeightAdjustment.hpp"
#include "QuadLinWeightRegularization.hpp"
#include "TransformInput.hpp"
#include "RandomTransformInput.hpp"
#include "RandomOutputWeightAdjustment.hpp"
#include "NLNTransform.hpp"
#include "ReservoirTransform.hpp"

#include "TransformBuffer.hpp"
#include "TransformObserver.hpp"
